"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
var getMainTemplate = function (componentTemplate, componentName, _a) {
    var useTypescript = _a.useTypescript, withStyle = _a.withStyle, usePreprocessor = _a.usePreprocessor;
    var extComponent = utils_1.getDataBasedOnCondition(useTypescript, "tsx", "jsx");
    var extStyle = utils_1.getDataBasedOnCondition(!!usePreprocessor, usePreprocessor, "css");
    var template = utils_1.setTemplate({
        template: componentTemplate,
        fileName: componentName + "." + extComponent
    });
    template
        .setTransform({
        from: "TemplateName",
        to: componentName
    })
        .setTransform({
        from: "importStyle",
        to: ""
    })
        .setTransform({
        from: "className",
        to: ""
    });
    if (withStyle) {
        template
            .setTransform({
            from: "importStyle",
            to: "import \"./" + componentName + "." + extStyle + "\";\n\r"
        })
            .setTransform({
            from: "className",
            to: " className=\"" + componentName + "\""
        });
    }
    return template;
};
exports.default = getMainTemplate;
